// 正则表达式
const regexPatterns = {
    phone: /^(?:(?:\+|00)86)?1(?:(?:3[\d])|(?:4[5-79])|(?:5[0-35-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\d])|(?:9[1589]))\d{8}$/,
    passwordDifficult: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[\W_]).{8,16}$/,
    passwordMedium: /^(?=.*[a-zA-Z])(?=.*\d)(?=.*[^\w\s\d])([^\s]){8,16}$/,
    passwordSimple: /^(?=.*[a-zA-Z])(?=.*\d)[A-Za-z\d]{8,16}$/,
    name: /^([\u4E00-\u9FA5]{2,10})$/,
    idCard: /^[1-9]\d{5}(?:18|19|20)\d{2}(?:0[1-9]|10|11|12)(?:0[1-9]|[1-2]\d|30|31)\d{3}[\dX]$/,
    number: /^\d{1,10}$/,
    numberDate: /^([1-9]|[12][0-9]|3[01])$/,
    numberDecimal: /^-?\d{1,10}(\.\d{1,2})?$/,
    bankCard: /^\d{16,19}$/
};


export default regexPatterns;
